
singleton Material(super)
{
    mapTo = "super";
    diffuseMap[2] = "vehicles/super/super_c.dds";
    specularMap[2] = "vehicles/super/super_s.dds";
    normalMap[2] = "vehicles/super/super_n.dds";
    diffuseMap[1] = "vehicles/super/super_d.dds";
    specularMap[1] = "vehicles/super/super_s.dds";
    normalMap[1] = "vehicles/super/super_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/super/super_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(sbr_seats)
{
    mapTo = "sbr_seats";
    normalMap[0] = "vehicles/sbr/sbr_seats_n.dds";
    diffuseMap[0] = "vehicles/sbr/sbr_seats_d.dds";
    specularMap[0] = "vehicles/sbr/sbr_seats_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(colour)
{
    mapTo = "colour";
     diffuseMap[2] = "vehicles/pumpcar/roadster_c.dds";
    specularMap[2] = "vehicles/pumpcar/roadster_s.dds";

    diffuseMap[1] = "vehicles/pumpcar/roadster_d.dds";
    specularMap[1] = "vehicles/pumpcar/roadster_s.dds";

    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/pumpcar/roadster_s.dds";

    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(roadster_lights)
{
    mapTo = "roadster_lights";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[1] = "vehicles/pumpcar/roadster_lights_d.dds";
	opacityMap[1] = "vehicles/pumpcar/roadster_lights_o.dds";
    specularMap[1] = "vehicles/pumpcar/roadster_lights_s.dds";
   // normalMap[1] = "vehicles/pumpcar/roadster_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
  //  normalMap[0] = "vehicles/pumpcar/roadster_lights_n.dds";
    //diffuseMap[2] = "vehicles/pumpcar/roadster_lights_dirt.dds";
    //normalMap[2] = "vehicles/pumpcar/roadster_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(roadster_lights_on)
{
    mapTo = "roadster_lights_on";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[2] = "vehicles/pumpcar/roadster_lights_g.dds";
    specularMap[2] = "vehicles/pumpcar/roadster_lights_s.dds";
  //  normalMap[2] = "vehicles/pumpcar/roadster_lights_n.dds";
    diffuseMap[1] = "vehicles/pumpcar/roadster_lights_d.dds";
    specularMap[1] = "vehicles/pumpcar/roadster_lights_s.dds";
	opacityMap[1] = "vehicles/pumpcar/roadster_lights_o.dds";
  //  normalMap[1] = "vehicles/pumpcar/roadster_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
  //  normalMap[0] = "vehicles/pumpcar/roadster_lights_n.dds";
    //diffuseMap[3] = "vehicles/pumpcar/roadster_lights_dirt.dds";
    //normalMap[3] = "vehicles/pumpcar/roadster_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.15";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(roadster_lights_on_intense)
{
    mapTo = "roadster_lights_on_intense";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[2] = "vehicles/pumpcar/roadster_lights_g.dds";
	opacityMap[1] = "vehicles/pumpcar/roadster_lights_o.dds";
    specularMap[2] = "vehicles/pumpcar/roadster_lights_s.dds";
   // normalMap[2] = "vehicles/pumpcar/roadster_lights_n.dds";
    diffuseMap[1] = "vehicles/pumpcar/roadster_lights_d.dds";
    specularMap[1] = "vehicles/pumpcar/roadster_lights_s.dds";
   // normalMap[1] = "vehicles/pumpcar/roadster_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
 //   normalMap[0] = "vehicles/pumpcar/roadster_lights_n.dds";
    //diffuseMap[3] = "vehicles/pumpcar/roadster_lights_dirt.dds";
    //normalMap[3] = "vehicles/pumpcar/roadster_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.30";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(roadster_lights_dmg)
{
    mapTo = "roadster_lights_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[1] = "vehicles/pumpcar/roadster_lights_dmg_d.dds";
	opacityMap[1] = "vehicles/pumpcar/roadster_lights_dmg_o.dds";
    specularMap[1] = "vehicles/pumpcar/roadster_lights_dmg_s.dds";
  //  normalMap[1] = "vehicles/pumpcar/roadster_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
 //   normalMap[0] = "vehicles/pumpcar/roadster_lights_dmg_n.dds";
    //diffuseMap[2] = "vehicles/pumpcar/roadster_lights_dirt.dds";
    //normalMap[2] = "vehicles/pumpcar/roadster_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(TD_grille)
{
    mapTo = "TD_grille";

    diffuseMap[0] = "vehicles/pumpcar/grille_d.dds";
    specularMap[0] = "vehicles/pumpcar/grille_s.dds";
   specularPower[0] = "128";
    pixelSpecular[0] = "1";

    specularColor[0] = "1 1 1 1";

    diffuseColor[0] = "1 1 1 1";

    useAnisotropic[0] = "1";

    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pigeon_600)
{
   mapTo = "pigeon_600";
    diffuseMap[1] = "pigeon_engine_600_d.dds";
    specularMap[1] = "pigeon_engine_600_s.dds";
    normalMap[1] = "pigeon_engine_600_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "pigeon_engine_600_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "object";
};




singleton Material(Roadster_smallbits)
{
    mapTo = "Roadster_smallbits";

   //normalMap[0] = "vehicles/pumpcar/chrombits_n.png";
    diffuseMap[0] = "vehicles/pumpcar/chrombits_d.dds";
    specularMap[0] = "vehicles/pumpcar/chrombits_s.dds";
    diffuseColor[0] = "1 1 1 1";
	    specularColor[0] = "1 1 1 2";
    specularPower[0] = "128";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";

    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(pigeon)
{
    mapTo = "pigeon";
    diffuseMap[2] = "vehicles/pigeon/pigeon_c.dds";
    specularMap[2] = "vehicles/pigeon/pigeon_s.dds";
    normalMap[2] = "vehicles/pigeon/pigeon_n.dds";
    diffuseMap[1] = "vehicles/pigeon/pigeon_d.dds";
    specularMap[1] = "vehicles/pigeon/pigeon_s.dds";
    normalMap[1] = "vehicles/pigeon/pigeon_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/pigeon_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(super_interior)
{
    mapTo = "super_interior";
    normalMap[0] = "vehicles/super/super_interior_n.dds";
    diffuseMap[0] = "vehicles/super/super_interior_d.dds";
    specularMap[0] = "vehicles/super/super_interior_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    specularPower[1] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

